<?php
error_reporting(0);
if (!eregi($_SERVER['SERVER_NAME'], $_SERVER['HTTP_REFERER'])) {exit();}
close_browse();
global $db, $CcTvAi_com_userid;
$cd_nickname=unescape(SafeRequest("nickname", "post"));
if (mb_strlen($cd_nickname, 'UTF8')>12) {exit('2');}
$nicheng=$db->getone("select cd_id from " . tname('user') . " where cd_id<>'" . $CcTvAi_com_userid . "' and cd_nicheng='" . $cd_nickname . "'");
if ($nicheng) {exit('1');} else {exit('10000');}
?>